Submitted By: Ken Moffat <ken at linuxfromscratch dot org>
Date: 2021-11-17
Initial Package Version: 1.1.1
Upstream Status: Unknown
Origin: Arch linux
Description: Fixes build with poppler-21.11.0 without breaking earlier poppler versions.

From ff61b5e3df3351d4ab5437181fe6d34729f4cbbb Mon Sep 17 00:00:00 2001
From: Evangelos Foutras <evangelos@foutrelis.com>
Date: Mon, 1 Nov 2021 21:45:38 +0200
Subject: [PATCH] Fix build with poppler 21.11.0

GfxFont::tag is now of type std::string instead of GooString *.
---
 src/extension/internal/pdfinput/pdf-parser.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/extension/internal/pdfinput/pdf-parser.cpp b/src/extension/internal/pdfinput/pdf-parser.cpp
index e3d04d544b..feecefa043 100644
--- a/src/extension/internal/pdfinput/pdf-parser.cpp
+++ b/src/extension/internal/pdfinput/pdf-parser.cpp
@@ -2169,7 +2169,11 @@ void PdfParser::opSetFont(Object args[], int /*numArgs*/)
   }
   if (printCommands) {
     printf("  font: tag=%s name='%s' %g\n",
+#if POPPLER_CHECK_VERSION(21,11,0)
+	   font->getTag().c_str(),
+#else
 	   font->getTag()->getCString(),
+#endif
 	   font->getName() ? font->getName()->getCString() : "???",
 	   args[1].getNum());
     fflush(stdout);
